# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name mwc-random

# common part of summary for all the subpackages
%global common_summary Pseudo random number generation library for Haskell

# main description used for all the subpackages
%global common_description This package provides library for generating high quality random \
numbers that follow either a uniform or normal distribution.  The \
generated numbers are suitable for use in statistical applications. \
The uniform PRNG uses Marsaglia's MWC256 (also known as MWC8222) \
multiply-with-carry generator, which has a period of 2^8222 and \
fares well in tests of randomness.  It is also extremely fast, \
between 2 and 3 times faster than the Mersenne Twister. \
Compared to the mersenne-random package, this package has a more \
convenient API, is faster, and supports more statistical \
distributions.

Name:           ghc-%{pkg_name}
Version:        0.10.0.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
BuildRequires:  ghc-primitive-prof ghc-vector-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Sat Nov 19 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.1-1
- Added dependencies. License is BSD3

* Sat Nov 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.10.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
